# SSH

## Install server

```sh
sudo apt install openssh-server
```

## Config server

```sh
sudoedit /etc/ssh/sshd_config
```

## Auto start ssh

```sh
sudo systemctl enable ssh
sudo systemctl start ssh
sudo service ssh restart
```

## Add key

```sh
ssh-copy-id -i ~/.ssh/id_rsa.pub 192.168.0.10
```

## Mosh

### Fix locale problem

Run `sudo dpkg-reconfigure locales` on your remote host and select locales that are installed on your local computer (like en\_GB.UTF-8).

By the way, if you want select a locale, use `export LC_ALL="en_US.UTF-8"`
